#Trap #73  Bear attack
#Added with Tales of the North MOD
#10d8+4, save vs. dex for half
#It's a bear trap!  HAHA!  Get it?!
from eventAPI import *
from APIUtils import *

def fireEvent(e):
   lFlagS = getTag(e, "lFlagS")
   if (not issetany(lFlagS, 0x00000300)):
      return 1
   if (isclearall(lFlagS, 0x00000002)):
      showMessage(e, ["An enraged bear appears and savagely mauls the party!"], optionInput)
      for partyIdx in range(getPartyCount(e)):
         dmg = dice(10, 8, 4)
         if (savingThrow(e, "dex", partyIdx, 0) > 0):
            dmg = dmg / 2
         modifyHP(e, partyIdx, -dmg)
   return 1
